<div style="padding: 20px;">
    <kendo-grid #grid class="list-details-grid" [data]="gridView"
                [pageSize]="pageSize" [skip]="skip"
                [pageable]="true" [columnMenu]="false"
                (dataStateChange)="dataStateChange($event)" [groupable]="false"
                [reorderable]="reorder" [sort]="sort"
                (sortChange)="sortChange($event)" (groupChange)="groupChange($event)"
                [sortable]="{
                    allowUnsort: allowUnsort,
                    mode: multiple ? 'multiple' : 'single'
                }"
                [selectable]="{
                                            checkboxOnly: true,
                                            mode: 'multiple'
                                        }" [filterable]="'menu'" [filter]="state.filter"
                [style.height.%]="100"
                [kendoGridSelectBy]="'email'"
                [(selectedKeys)]="selectedRowEmail"
                (selectionChange)="onSelectRow($event)">

        <kendo-grid-checkbox-column [showSelectAll]="true" [width]="30">
        </kendo-grid-checkbox-column>

        <kendo-grid-column field="name" title="Name" [width]="100"></kendo-grid-column>

        <kendo-grid-column [width]="200">

            <ng-template kendoGridCellTemplate let-dataItem>
                {{dataItem.listType === 2 ? dataItem.mobileNo : dataItem.email}}
            </ng-template>
        </kendo-grid-column>

        <kendo-grid-column field="status" title="Status" [width]="100"></kendo-grid-column>
    </kendo-grid>
</div>
